Doomsday Engine - Bug #1715

[Ring Zero Ul] Game selection widget items clipped as they overflow (e.g., in 640x480)
2014-01-25 00:24 - danij

Status: Closed Start date: 2014-01-25
Priority: Normal % Done: 100%
Assignee: skyjake

Category:

Target version: 1.14

Description

The game selection menu items are sized incorrectly when the main window is too small (e.g., at 640 x 480).

Associated revisions

Revision cbd6c47e - 2014-01-26 08:20 - skyjake

Ul|Client: Game selection menu adapts to small view sizes

The number of columns and rows is now reduced if the view is small.
The menu will scroll if all items don't fit.

IssuelD #1715

History

#1 - 2014-01-25 00:28 - danij
- File Screenshot 2014-01-24 22.25.42.png added

#2 - 2014-01-25 00:32 - danij

There also appears to be some scaling issues with the console history widget.

EDIT: Correction; one cannot resize it vertically in Ring Zero for some reason.

#3 - 2014-01-25 02:22 - danij

- Subject changed from Ring Zero Ul screwed up when window is too small to Ring Zero Ul, game selection widget items scaled incorrectly

In fact the scaling issues occur at various window sizes, see the attached screenshots.

#4 - 2014-01-25 02:24 - danij
- File Screenshot 2014-01-25 00.20.57.png added

#5 - 2014-01-25 21:28 - vermil

I'll add to this and say that if one is running Dday in an odd shaped window size, that the loading wheel during engine startup changes between two
sizes repeatedly.

#6 - 2014-01-26 07:40 - skyjake

- Subject changed from Ring Zero Ul, game selection widget items scaled incorrectly to [Ring Zero Ul] Game selection widget items clipped as they
overflow (e.g., in 640x480)

- Status changed from New to In Progress

- Assignee set to skyjake

This is not a bug as such, as this behavior is completely intentional. The real issue is lack of responsivity in the layout and/or style. The Ul framework
doesn't support dynamic styles yet, so the font sizes are static. However, it should be quite trivial to reduce the number of columns in the game
selection menu if the view is very small (basic responsive layout).

Another direction to go would be to scale the contents of each button smaller if their content is about to overflow, however that easily leads to different
text sizes in the buttons of the menu as the content size is different in each button (i.e., ugliness).

#7 - 2014-01-26 07:42 - skyjake

vermil wrote:
I'll add to this and say that if one is running Dday in an odd shaped window size, that the loading wheel during engine startup changes between

two sizes repeatedly.

Yeah this is a known issue with the label content layout at the moment.

#8 - 2014-01-26 07:43 - skyjake
- Tags changed from Ul, Client to Ul, Client, RingZero

#9 - 2014-01-26 08:22 - skyjake
- % Done changed from 0 to 100

#10 - 2014-01-26 08:24 - skyjake

- Target version set to 1.14

#11 - 2014-02-04 19:36 - skyjake

- Status changed from In Progress to Closed
